Not able to create point boundary condition in python

Hello every one, Im trying to add a point boundary condition to a wall throw python. No matter what I do, I always get this error.
Is it even possible to add point boundary condition to wall, because I wasnt able to do this in Revit?
I would appreciate it if some one could help me.
cheers.

  import sys
import clr

clr.AddReference('RevitAPI')
import Autodesk
from Autodesk.Revit.DB.Structure import *
from Autodesk.Revit.DB import *
from Autodesk.Revit.DB.Analysis import *
from Autodesk.Revit.Creation import *
clr.AddReference("RevitNodes")
import Revit
clr.ImportExtensions(Revit.GeometryConversion) 

clr.ImportExtensions(Revit.Elements)

clr.AddReference('RevitServices')
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager


refPoints = UnwrapElement(IN[0])
o = IN[1]
BC = []
doc = DocumentManager.Instance.CurrentDBDocument
TransactionManager.Instance.EnsureInTransaction(doc)

for i in refPoints:
    ref = Reference(i)
    s = TranslationRotationValue.Fixed
    boundryCondition = doc.Create.NewPointBoundaryConditions(ref, s, o, s, o, s, o, s, o, s, o, s, o)
    BC.append(boundryCondition)
    
TransactionManager.Instance.TransactionTaskDone()   
OUT = BC

Hey,

Maybe this link…


Which points to this link…

Is useful?

Unfortunately I haven’t ever needed to use these, so would need a reference .RVT and (ideally) a .DYN to help much more.

Cheers,

Mark

Hello Mark,
It does not seem to work. The code is not working becasue the GetReference() only takes arguments from the type AnalyticalModelSelector and not AnalyticalCurveSelector??
Im just wondering if this is even possible because in the Revit UI is not possible to create Point boundary condition on the wall analytical nodes.!!
greeting,
Salim